LMS 3.2 - Can't add new devices to RME 4.3.0

Answered Question
Sep 14th, 2010

Hello,

since some days I get the error message

Problem with File /WEB-INF/screens/dm/rmeattributes.jsp!!!No bean specified

if I want to add new devices to the RME.

The last change I did was to update the device packages directly over cisco.com.

But I can't tell if the problem persists since the update or not...

Thanks for any advice!

Sven

I have this problem too.
0 votes
Correct Answer by Joe Clarke about 6 years 2 months ago

This switch type is supported by Cat2960 package 6.4.

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
Sven Hruza Tue, 09/14/2010 - 06:16

I found some strange behavior.

We have one new device which is a WS-C2960S-24TS-L (in LMS named 2960 stack).

I didn't add this device to RME together with others.


But after I deleted this one device from Common Services I was able to add other devices to RME.

I checked the device packages of RME and I didn't find a package which is named "2960 stack".

Is there a package available?

And the other question is, why it is not possible to add devices which are known in RME?

Thanks a lot!

Sven

Joe Clarke Tue, 09/14/2010 - 16:13

There is no such package (2960 Stack).  You do not need to add devices to RME that are already managed by RME.  Only devices in DCR that are not already in RME are seen in the RME Add Device interface.  Trying to add a device to RME that is not supported (i.e. one for which a device package does not exist) should not result in the error you're seeing.  Something is broken.  If you can reproduce, post the NMSROOT/MDC/tomcat/logs/stdout.log and stderr.log.

Sven Hruza Wed, 09/15/2010 - 01:21

Hi,

thanks for the reply!

I checked it once again.

If I want to add the 2960S device to RME I will get this failure message:

     Problem with File /WEB-INF/screens/dm/rmeattributes.jsp!!!Cannot find bean  dcrdeviceTable in scope null

The other message "Problem with File /WEB-INF/screens/dm/rmeattributes.jsp!!!No bean specified" is a little bit strange...

Today I will get this if I want to add some other devices together with the 2960S device.

I think that I didn't mark the 2960S yesterday....but I can't be 100% sure.

It looks like that the problem is this unknown device.

Is there a package for this 2960S device or what can I do to get it in RME?

Thanks a lot!

Sven

Correct Answer
Joe Clarke Mon, 09/20/2010 - 21:48

This switch type is supported by Cat2960 package 6.4.

Sven Hruza Mon, 09/20/2010 - 23:49

Okay, I have the package 6.1 at the moment.

But I can't find new packages over the online check directly out of LMS against cisco.com.

I will search for the package over the download center.

Thanks a lot, Joe!

Sven

Sven Hruza Tue, 09/21/2010 - 00:19

The problem is RME in version 4.3.0.

I first have to update to 4.3.1 to get the newest device packages.

Sven

Sven Hruza Thu, 09/23/2010 - 05:49

I did now all necessary updates to RME 4.3.1 and have the device package Cat2960 in version 6.4 installed.

But there is no support for the 2960S device

Any further ideas for that?

Thanks!

Sven

Joe Clarke Thu, 09/23/2010 - 11:20

Support where exactly?  The sysObjectID you shared is supported in this package.  RME will be able to fetch the config, process syslogs, and u

pdate software for these switches once the package is successfully installed.

Sven Hruza Fri, 09/24/2010 - 00:15

I made some screenshots, maybe they will help for understanding.

It is not possible to do some tasks in RME because I can't manage them in RME.

Thanks!

Sven

Attachment: 
Joe Clarke Fri, 09/24/2010 - 08:27

What tasks exactly?  If you go to Common Services > Software Center > Device Update, and click on the number next to RME, can you search for the sysObjectID of this switch?  Do you find it?

Sven Hruza Mon, 09/27/2010 - 02:26

Hello,

no, I can't find this OID in the RME device packages.

Maybe, as you told me in the other thread about the 2960S switches, is it possible that there is no package for that type of switches available at the moment?

Thanks!

Sven

Joe Clarke Mon, 09/27/2010 - 08:45

The latest Cat2960 package does support this sysObjectID and it does show it in the Device Update window.  It sounds like the package was not properly installed on your server.  If you're having problems getting this package installed, contact TAC, and they can provide you an up-to-date package set you can use to properly resync your RME package repository.

Sven Hruza Wed, 10/13/2010 - 07:11

Hello,

I want to give a last feedback to this issue.

The problem was not a damaged device package in RME.

I checked the packages of Common Services once again and now there was a MDF package in version 1.43 available.

After installing this package the devices were recognized right.

Thanks a lot for all responses once again!

Sven

Actions

This Discussion

Related Content